All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::HammingComputer< CODE_SIZE > Struct Template Reference
Inheritance diagram for faiss::HammingComputer< CODE_SIZE >:

## Public Member Functions

| HammingComputer (const uint8_t *a, int code_size)
Public Member Functions inherited from faiss::HammingComputerM8
| HammingComputerM8 (const uint8_t *a8, int code_size)
int | hamming (const uint8_t *b8) const

## Additional Inherited Members

Public Attributes inherited from faiss::HammingComputerM8
const uint64_t * | a
int | n

## Detailed Description

### template<int CODE_SIZE>
struct faiss::HammingComputer< CODE_SIZE >

Definition at line 301 of file hamming.h.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/hamming.h